## ace-dt bottle artifact set

Sets a file as public artifact of bottle

### Synopsis

Description:
  Sets a file as a public artifact of specified bottle.

  A public artifact is comprised of four fields: 'media type', 'digest', 'name', 'path'. 
  'ace-dt' computes media-type and digest when a public artifact is added.
  Name and path are required and must be set by the user. Relative paths are allowed.
  
  This command only supports adding artifacts that are already
  committed, and listed as a part of the bottle. 
  - To see parts listed in the bottle, run 'ace-dt bottle part list' command
  - To add a file to a bottle, see the 'bottle commit' command


```
ace-dt bottle artifact set [NAME] [PATH] [flags]
```

### Examples

```

Set public artifact at the path <./detect-food.csv> in current working directory:
	ace-dt bottle artifact set "food detection" ./detect-food.csv

Set public artifact <inference example> at the path <my/bottle/path/infer.py>:
	ace-dt bottle artifact set --bottle-dir my/bottle "inference usage" my/bottle/path/infer.py

Set public artifact <food model> at the path <./food.model> with its media type <application/octet-stream>:
	ace-dt bottle artifact set "food model" ./food.model --media-type "application/octet-stream"

```

### Options

```
  -h, --help                help for set
  -m, --media-type string   specify artifact's media type
```

### Options inherited from parent commands

```
  -d, --bottle-dir string          Specify bottle directory (default "/builds/ace/data/tool")
      --config stringArray         configuration file location (setable with env "ACE_DT_CONFIG").
                                   The first configuration file present is used.  Others are ignored.
                                    (default [ace-dt-config.yaml,HOMEDIR/.config/ace/dt/config.yaml,/etc/ace/dt/config.yaml])
  -v, --verbosity strings[=warn]   Logging verbosity level (also setable with environment variable ACE_DT_VERBOSITY)
                                   Aliases: error=0, warn=4, info=8, debug=12 (default [error])
```

### SEE ALSO

* [ace-dt bottle artifact](ace-dt_bottle_artifact.md)	 - A command group for bottle artifacts operations

